using System;
using System.Collections.Generic;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System.ComponentModel.DataAnnotations;

namespace Tede.Data
{
    [JsonConverter(typeof(StringEnumConverter))]
    public enum DatabaseType
    {
        [Display(Name = "MySql")]
        MySql,
        [Display(Name = "SqlServer")]
        SqlServer,
        [Display(Name = "PostgreSql")]
        PostgreSql,
        [Display(Name = "Oracle")]
        Oracle,
        [Display(Name = "SQLite")]
        SQLite
    }
}